Subject: New Farm alternative

From: [email-masked] (Ralph Martin)
Date: 10 Feb 1995 02:20:17 -0000

I also regret that "New Farm" will not be publishing after May, 1995.

I highly recommend a Canadian magazine, "Sustainable Farming".  It 
covers all aspects of sustainable agricultural research, farm 
stories, policy and events.  It is published four times per year by 
Resource Efficient Agricultural Production (REAP) - Canada, an 
independent research and educational organization.  The board 
consists mostly of farmers.  

Subscriptions to "Sustainable Farming" are $16 (US) or $17.12 Can. 
including GST.  You can subscribe by writing to REAP Canada, P.O. Box 
125, Glenaladale House, Ste. Anne de Bellevue, Quebec, Canada H9X 3V9.
Phone: 514-398-7743 or Fax: 514-398-7972.  

Ralph C. Martin
Plant Science Department
Nova Scotia Agricultural College
Truro, N.S., Canada
B2N 5E3